#  PyiiASMH (icons_rc.py)
#  Copyright (c) 2011, 2012, Sean Power
#  All rights reserved.
#
#  Redistribution and use in source and binary forms, with or without
#  modification, are permitted provided that the following conditions are met:
#      * Redistributions of source code must retain the above copyright
#        notice, this list of conditions and the following disclaimer.
#      * Redistributions in binary form must reproduce the above copyright
#        notice, this list of conditions and the following disclaimer in the
#        documentation and/or other materials provided with the distribution.
#      * Neither the names of the authors nor the
#        names of its contributors may be used to endorse or promote products
#        derived from this software without specific prior written permission.
#   
#  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND
#  ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
#  WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
#  DISCLAIMED. IN NO EVENT SHALL SEAN POWER BE LIABLE FOR ANY
#  DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
#  (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
#  LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
#  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
#  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
#  SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.


# -*- coding: utf-8 -*-
try:
    from PySide import QtCore, QtGui
except ImportError:
    from PyQt4 import QtCore, QtGui

qt_resource_data = "\
\x00\x00\x08\x69\
\x89\
\x50\x4e\x47\x0d\x0a\x1a\x0a\x00\x00\x00\x0d\x49\x48\x44\x52\x00\
\x00\x00\x20\x00\x00\x00\x20\x08\x06\x00\x00\x00\x73\x7a\x7a\xf4\
\x00\x00\x00\x01\x73\x52\x47\x42\x00\xae\xce\x1c\xe9\x00\x00\x00\
\x06\x62\x4b\x47\x44\x00\xff\x00\xff\x00\xff\xa0\xbd\xa7\x93\x00\
\x00\x00\x09\x70\x48\x59\x73\x00\x00\x0b\x13\x00\x00\x0b\x13\x01\
\x00\x9a\x9c\x18\x00\x00\x00\x07\x74\x49\x4d\x45\x07\xd9\x0c\x1b\
\x15\x33\x1c\x41\x8a\x82\x3c\x00\x00\x00\x19\x74\x45\x58\x74\x43\
\x6f\x6d\x6d\x65\x6e\x74\x00\x43\x72\x65\x61\x74\x65\x64\x20\x77\
\x69\x74\x68\x20\x47\x49\x4d\x50\x57\x81\x0e\x17\x00\x00\x07\xc4\
\x49\x44\x41\x54\x58\xc3\xcd\x97\x4b\x8c\xa5\x45\x15\xc7\x7f\xe7\
\x54\xdd\x47\xf7\x74\x4f\x37\x7d\x7b\xba\x07\x06\x04\x33\x20\x02\
\x33\x8e\x11\xcc\x80\x12\x06\xe4\x15\x14\x23\x1a\x5d\xb8\x72\x29\
\x2b\x63\xe2\xc2\xc4\xc4\x1d\x41\x37\xae\x8c\x26\x6e\x5c\x41\x62\
\x82\x2c\xc0\x61\x81\xa2\x10\x90\x87\x13\x13\x51\x31\xc4\xa8\xcc\
\x74\xcf\xa3\x87\xbe\x33\xdd\x3d\xfd\xbe\xf7\xfb\xea\x1c\x17\xf5\
\xdd\xef\xde\x46\xa2\x5b\xbf\xa4\x52\x75\xab\xea\xd6\x79\xd4\x39\
\xff\xf3\x2f\xa1\xfa\x7e\x7f\xea\xad\xbb\x93\xa5\xeb\x83\xc8\x44\
\x51\x16\x9b\xcd\x46\x7b\x2d\x59\xb1\xdf\xcc\x9b\xe6\x9e\x5a\x8d\
\xe6\x46\x69\x69\x52\x61\xac\x4c\xe5\x56\xa3\xd1\xdc\x36\xb3\x96\
\xbb\x8d\x99\x99\x35\x1a\xcd\x1d\x77\x6b\x98\x79\x2b\x99\xf5\x63\
\x8c\xeb\x8a\xec\x2b\x53\xd9\x12\x11\x0d\x21\xec\xba\x5b\x59\x96\
\x49\x52\x4a\xcf\x3e\x70\xcf\x7d\x09\x20\x0e\x14\x58\x3a\xbf\xf8\
\x84\x25\x3b\x91\xcc\x50\x55\xa4\x9a\x37\x33\x44\x04\x51\x05\x77\
\xcc\x0c\x33\xa3\xd1\x6c\x92\x52\xc2\xdd\x10\x51\x82\x06\xcc\x12\
\xee\x9e\xf7\x03\xa2\x4a\x32\xc3\x2d\x11\x1b\x4d\x44\x60\x77\xb7\
\xb7\xd4\x6a\xb6\x5f\x00\xb6\x00\xe4\xb5\xb7\x5e\xbf\xff\xfc\xb9\
\x73\xdf\x7f\xfa\xa9\xa7\x6e\xbf\x6a\x6a\x72\xa2\xd7\xef\x93\x4a\
\xa3\x4c\x89\xb2\x4c\x94\xa9\x24\x25\xa3\x2c\x13\x29\xa5\x7a\xde\
\x2c\x51\x14\x09\x30\x42\x88\xc4\xa0\xb9\x8f\xb9\x0f\x51\x89\x83\
\xf9\x18\xf2\x38\x06\x76\x76\x76\x78\xe4\x91\x87\xdf\x39\x7c\xf3\
\x6d\x4f\x3f\x7c\xdf\xfd\x3f\x8c\xc0\x35\xb8\x9f\x58\xba\xb8\x4c\
\xb7\x7b\x89\xf1\xb1\x31\x92\x1b\x6e\x43\x6b\xcd\x0d\x4b\x9e\x7b\
\x1b\x1d\x3b\x4e\xde\x97\x4a\x45\xb5\x8f\x48\x40\x94\xec\x45\x51\
\x54\x04\x55\x41\x44\x40\x60\xe1\xec\x05\x1e\x7c\xe8\x81\x23\xc0\
\x51\x80\x18\x42\x18\x73\x9c\x10\x02\xbb\xbb\xbb\xcc\x76\x66\x00\
\xc7\xdd\xc1\x21\x8b\x10\x30\xc3\x18\xcc\x91\xaf\xa3\xde\x63\x60\
\x79\xaf\x01\x6e\x5e\x9d\x01\xee\x5e\xb7\xad\xed\x1d\x54\x04\xb7\
\x84\x88\xec\xcb\x31\x20\xac\x0b\x23\x5a\xd6\x12\x24\x0b\xf7\x2c\
\x2c\x0b\x1d\x8e\xb3\x82\x95\xa2\xc3\xa5\xc1\xa8\xfe\xdf\xe0\x13\
\x11\x70\x10\x04\x11\x05\xd8\xc8\x1e\xd0\xb0\x11\x62\xac\x26\xa5\
\x3a\x58\x30\x77\x44\x2a\x0b\x70\xfa\x13\x7d\xc0\x89\xeb\x4d\xdc\
\x2c\x0b\x1d\xf1\x92\x89\x63\xd9\x0d\xb8\x80\x18\xd9\x43\x0c\xbc\
\x90\x15\xd2\x10\x08\x31\x20\xc8\x12\x40\xec\x15\xfd\xa9\x7e\xbf\
\x8f\x0a\x88\x52\x1f\x28\x03\x2b\x80\xf7\x8f\x2f\xb3\xf0\xa5\x33\
\x4c\xfe\x6b\x3f\x1b\x1f\xdd\xe0\xe8\x93\x47\x68\xac\x37\x2a\xcb\
\xf3\xbe\xee\x5d\x5d\xfa\xd3\x7d\x1a\x2b\x4d\xfa\xd3\x3d\x0e\x9e\
\xbc\x7a\xaf\x70\xb2\xe7\x62\x50\x8a\xa2\xa0\xb4\x74\x10\x20\x46\
\x0d\x93\x5a\x4b\xaf\x2c\x07\x6c\xf0\xa7\xca\xd5\x9d\x3f\xce\x72\
\xc3\x33\x37\x70\xf6\xd1\x45\xba\xc7\xbb\x34\xd7\x9a\xcc\xfc\x61\
\x06\x10\x56\x8e\xad\x30\xbe\x38\xce\xd8\xe2\x18\xb2\xa3\xb4\x5b\
\xed\x3d\xc2\xf3\x35\xe5\xa6\xaa\x04\x55\xa2\xea\x34\x80\xba\xfb\
\x96\x6a\x20\x54\xb9\x8b\x57\x81\x24\xc3\xe0\x71\x11\x5c\x9d\x62\
\x5f\xc1\xca\xb1\x55\x26\x4e\x4f\x70\xe9\xf6\xcb\xac\x1e\x5b\xc3\
\x34\x71\xfa\x1b\xa7\xd9\x3c\xbc\xc9\xe5\xe3\x2b\xac\xdf\xba\xce\
\xca\xf1\x95\x3d\x96\xd7\x01\x09\x04\x55\x44\x15\x73\xbf\x02\x10\
\x1b\x8d\xc6\x86\x88\x40\x15\x84\x83\x08\xc7\x8c\x81\xde\x98\xd1\
\x3d\xde\xa5\xd7\xd9\xe5\xd0\xc9\x43\x4c\xfe\x63\x3f\x87\xfa\xc2\
\xc2\x57\x17\x49\xad\xc4\xec\x9b\xb3\x55\xa8\x79\xdd\x8f\x5a\x3e\
\x8c\x01\xd0\xa0\x88\x08\x21\xc4\x6d\x00\xed\xf5\x7b\x93\x66\x09\
\xad\xf2\xd4\x71\x7c\x20\xbc\x72\x3f\xc0\xdc\x9b\x73\xdc\xfc\x93\
\x8f\xd3\x79\xbb\x83\x00\x13\x0b\x93\xf4\x3b\x7d\x96\xef\x5d\x66\
\xfe\xa5\xf9\x41\xac\xd7\xbd\x54\x67\x99\x55\xca\x48\x3e\x47\x35\
\xe0\x66\xa4\xb2\xd8\x97\x7f\xab\xb6\xcc\x2a\xf8\x74\x01\xfb\x40\
\x9a\x01\x46\x8e\x68\xab\xf4\x71\xc9\xde\x9a\x7f\x65\x9e\xd4\x4c\
\xb4\x56\xdb\x7c\xd8\xa7\x22\x75\xa0\x62\xf9\xcc\xa0\x8a\x03\x22\
\xda\xaa\x6a\x81\xef\x84\xca\x2d\xd9\x03\x43\xf0\xc8\x69\x09\x07\
\xde\x38\xc0\xac\xcf\x56\xa0\x34\xb4\x73\xed\x96\x2b\x5c\xf7\xcc\
\x47\x30\x77\x66\x5f\x9e\xdb\x03\x3a\xb5\xf3\x04\x3c\xa3\x13\x00\
\x21\x28\xaa\x82\xe3\xbb\x39\x06\x62\x73\x15\x04\xa9\x62\xc0\x46\
\x80\x65\x14\x74\x7c\x00\x46\x95\x8b\x17\xbf\xb2\xc0\xc4\x7b\x13\
\xec\x7f\x77\xaa\xc6\x83\xd1\x56\x1b\x51\x83\x57\x06\xb9\x10\x14\
\x41\x08\x21\xac\x65\x1c\xe8\xf5\x66\xc0\xeb\x18\x18\x45\x3d\x1b\
\xb1\x66\x90\xc7\xd9\x05\xce\xb5\xbf\xbc\x8e\x11\x0c\xfc\xaf\x2d\
\x5f\x41\x3e\x47\x35\x00\x42\x4a\x29\xa7\x61\x8c\x71\x3a\x0d\x4a\
\xee\x48\xee\x96\xad\x12\x13\xdb\xe3\xd6\x14\x13\xdb\x57\x6f\x53\
\xc4\x92\x64\x89\x62\xbc\xd8\xb3\x5e\x36\x4b\x92\xa6\xdc\x62\xaa\
\xe7\x2d\x26\x52\x15\x84\x21\x28\xee\x86\xaa\xce\x00\xa8\x99\x5d\
\x89\x1a\xaa\xea\x25\x95\xce\xc6\xa9\x9f\x9e\xe2\xfc\x17\xce\xd5\
\x87\x6c\x5e\xb7\xc9\x3b\x4f\xfc\x95\x8b\x0f\x2d\x71\xe1\xb1\xf3\
\xf4\x66\x7a\xbc\xf9\xec\xeb\x6c\x1d\xdc\xce\x59\xeb\xce\x9f\x7f\
\xf6\x36\xdd\x07\xba\xac\xde\xb9\xca\xd2\xd7\x96\xea\x38\x58\xfc\
\xf6\x22\x3b\x87\x77\x72\x1a\xaa\xa2\xaa\x98\xf9\x4a\xf6\x40\xa3\
\xd1\xcd\xf7\xaf\xf5\x15\xac\x1e\x5d\xe5\xc0\xab\x07\xb8\x74\xd7\
\xe5\x3a\x9f\x57\xee\xbc\xcc\xdc\x8b\x73\x5c\xff\xf3\x1b\x38\xf4\
\x8b\x6b\x29\x26\x0a\xa6\xfe\x32\xc5\xf2\xfd\xef\x63\x6e\x5c\x39\
\xb2\x46\x6b\xa9\x45\xb1\x6f\xe8\x15\xf3\x5c\xca\xf3\x19\x86\x93\
\xb3\x40\x35\x10\x83\x6e\x02\x68\xbf\xdf\xeb\xb8\x39\x19\x88\x05\
\x73\x58\xbe\x67\x99\xf9\xdf\xcc\x13\xb7\x03\xbd\xd9\x5d\xc0\xe9\
\xbc\x32\xcb\xd2\x63\x17\x38\xff\xe5\xf3\xa4\x98\x28\x26\x0b\xf6\
\xff\x69\x8a\xb5\x4f\xad\x01\x70\xe9\xc1\x4b\x1c\x78\x71\x8e\x34\
\x91\x00\xe1\xca\xf1\x35\xce\x3d\x7e\x96\xb3\x8f\x9f\x65\xfb\xb6\
\x4d\x5c\x72\xf0\x6a\x50\xcc\x13\x65\x4a\x19\x07\x82\x86\xf1\xa2\
\x2c\xc9\xd5\x48\x70\x31\x2e\xdf\xb1\xc2\xc5\xcf\xbd\x4f\x39\x96\
\xe8\xde\xb3\x8c\xbb\xd3\x5a\x6a\x73\xe4\x5b\x47\x91\x42\x78\xf7\
\xc9\xbf\x51\x4e\x16\x84\xcd\xc0\xf8\x99\x71\x36\x6e\x5a\xa7\x98\
\x2c\x68\x2f\xb6\x29\x27\x4a\xc0\x18\xff\xfb\x3e\x3a\x2f\x74\xe8\
\x9c\xec\xd0\x5a\x68\xe7\xe2\xe2\x46\x0c\x4a\x2a\x13\xc0\x04\x80\
\x26\x4b\x3b\x31\x46\x34\xd7\x68\x56\x8e\xad\x30\xfb\x46\x87\x6b\
\x9e\x3b\xc4\x8d\x3f\xbe\x91\xcb\x77\x5f\xae\xe1\x55\x0a\x65\xfe\
\xf9\x79\xca\xc9\x92\xfe\x74\x41\xb8\x12\x98\xf9\x6d\x87\x85\x6f\
\x9e\x61\xea\x8d\x69\xd8\x50\xca\x7d\x25\x66\x10\x57\x23\xcd\xd3\
\x6d\x5a\x67\xda\xe8\x46\xa8\xc9\x8a\x6a\x20\xc6\x08\xee\x5b\x00\
\xb1\xd9\x68\x5d\x09\x41\x11\x15\x54\x84\xee\xbd\x5d\xae\xfe\xd5\
\x35\x34\x57\x1a\xb8\x47\xc2\x56\x60\x67\x6e\x87\xb5\x3b\xd6\x58\
\x3f\xba\x8e\xb5\x8c\xa9\x53\xd3\x94\xed\x92\x76\x77\x8c\x89\xb7\
\x27\xe9\x7f\xa7\xcf\x55\x2f\x5f\x45\x6a\x24\xca\x89\xb2\xba\x7f\
\x1f\x01\xb4\x21\x4e\x04\x15\x54\x95\xd8\x68\x64\x05\xca\xd4\x9f\
\x2a\x8a\x12\xad\xc8\xd0\x4d\x3f\xfa\xd8\x1e\x36\x7c\xcb\xf7\x6e\
\x05\x60\xfe\xe4\x3c\x9d\x97\x3a\x78\x82\xd0\x0b\x23\xe0\xe4\x1c\
\xf9\xfa\x27\x70\x87\xe8\xc2\xe1\xef\xde\x84\xbb\xb3\xdf\xa7\x6a\
\xe1\x87\x7e\xf0\x11\x1c\x27\x79\x22\xc4\x40\x59\x96\x94\x45\x99\
\x29\x99\x4a\x98\xae\xa9\xb4\x52\x47\x6c\x56\x62\xc0\x68\x72\xd3\
\xed\x90\x01\x0a\xff\x10\x6a\x36\x00\xb1\x11\x2e\x38\x24\x90\xf5\
\x5a\x2e\xc7\x82\x86\x8c\x03\xb1\xb4\xb4\x16\x43\x40\x44\xab\x2c\
\x18\xa1\x5b\x1f\x24\x15\xff\x43\x78\x4d\x5a\x47\x14\x19\x96\xe3\
\x61\x35\x54\x51\x52\xb2\x8c\x03\xed\x46\x6b\x05\x01\x55\x60\x50\
\xbd\x06\x45\x64\xd4\x12\xf6\x0a\xa7\x16\x2e\x43\xe1\x8c\x0a\xaf\
\xd6\x6d\x58\x98\xbc\x42\xc2\xcc\x07\x06\xb5\xa0\xdf\x9b\x71\x07\
\x21\x13\xc2\xdd\x5e\xaf\xb6\x62\x78\x20\x43\xc5\xf6\x50\xf6\x11\
\xf2\x31\x62\xfd\x7f\x92\x12\xea\xc0\x8c\x31\xe4\x12\x6f\xb9\x16\
\xc4\x10\xc2\xb6\xbb\x5f\x40\x98\x3f\x38\x37\x1b\x32\x19\x1a\x3c\
\x48\x1c\x4b\xf9\x01\x92\x51\x2d\x3f\x42\xdc\x3c\x3f\x5e\xd2\xc8\
\x1e\xf7\xea\x19\x96\xc7\x9e\x2c\xef\xa9\x1e\x35\x83\xb5\x7f\xbe\
\x77\x96\x13\xf7\xb1\x26\xc8\x66\x26\xa5\x31\x3e\x3f\x3e\x3e\xfe\
\xc2\xa3\x5f\xfc\xfc\xaf\xcd\xec\x84\x59\x72\x15\x95\x8a\x0a\x4a\
\x32\x43\x32\x73\x71\x44\x24\x95\xc9\xcd\x92\x0c\xde\x86\x83\xc7\
\xa0\xaa\xba\xa5\x24\x86\xbb\x38\x32\x40\xbd\x94\x52\x7e\x4b\xc6\
\x86\x23\x2e\xbb\x3b\xbd\xf3\xed\xf6\xd8\xd1\x56\xab\x95\x15\xf8\
\xf4\x27\x6f\x4f\x40\xfa\xdd\x6b\xaf\x3e\x97\xcc\x16\x05\x26\xcd\
\x7d\x33\x84\xb0\x6a\x96\xa6\xdc\x3d\x02\x1e\x42\x5c\x73\x4b\x53\
\x88\x8c\xa7\x64\xdb\x21\x84\x8b\xe0\x1d\x33\x1f\x07\x4f\x31\xc6\
\x6d\x33\x6b\xb8\x79\xd3\xdd\x53\x08\xba\x0a\xb2\x3f\x59\x6a\x08\
\x84\x10\xe2\xa6\xbb\x53\xa4\xb2\x8f\xfb\xd6\x89\xcf\x7c\xb6\xe0\
\xff\xe1\xfb\x37\x15\x55\xd4\xe4\x42\x2f\x1b\x63\x00\x00\x00\x00\
\x49\x45\x4e\x44\xae\x42\x60\x82\
"

qt_resource_name = "\
\x00\x0a\
\x04\x52\x16\x53\
\x00\x6d\
\x00\x61\x00\x69\x00\x6e\x00\x5f\x00\x69\x00\x63\x00\x6f\x00\x6e\x00\x73\
\x00\x06\
\x03\x4f\xa6\x53\
\x00\x2e\
\x00\x69\x00\x63\x00\x6f\x00\x6e\x00\x73\
\x00\x0c\
\x0e\xe4\xad\x87\
\x00\x50\
\x00\x79\x00\x69\x00\x69\x00\x41\x00\x53\x00\x4d\x00\x48\x00\x2e\x00\x70\x00\x6e\x00\x67\
"

qt_resource_struct = "\
\x00\x00\x00\x00\x00\x02\x00\x00\x00\x01\x00\x00\x00\x01\
\x00\x00\x00\x00\x00\x02\x00\x00\x00\x01\x00\x00\x00\x02\
\x00\x00\x00\x1a\x00\x02\x00\x00\x00\x01\x00\x00\x00\x03\
\x00\x00\x00\x2c\x00\x00\x00\x00\x00\x01\x00\x00\x00\x00\
"

def qInitResources():
    QtCore.qRegisterResourceData(0x01, qt_resource_struct, qt_resource_name, qt_resource_data)

def qCleanupResources():
    QtCore.qUnregisterResourceData(0x01, qt_resource_struct, qt_resource_name, qt_resource_data)

qInitResources()
